pipeline {
   agent any
   stages {
      stage('update') {
         steps {
            sh '''#!/bin/csh 
            echo hello jenkins
            echo $PATH
'''
         }
      }
         stage('installing') {
         steps {
            sh '''#!/bin/csh 
            pip install -e .
'''
         }
      }
         stage('create test py') {
         steps {
            sh '''#!/bin/csh 
            cat <<-'TEST_CASES' > test.py
#!/usr/bin/env python
import ReadVars as rv
'''
         }
      }
      stage('test import') {
         steps {
            sh '''#!/bin/csh 
            python -m test.py || [[ $? -eq 1 ]] 
            exit	  
'''
         }
      }
   }
}
